Update business
Updates the specified business and returns the resulting resource.
Path Parameters
- Type: stringbusiness
_id requiredUnique identifier for the business.
Body·
required
application/json
- Type: stringdoing
_business _as min length:1max length:100Trade name, if different from the legal name.
- Type: stringlegal
_name min length:1max length:255The legal name of the business.
- Type: object | nulluser
_data Properties: 1Arbitrary JSON metadata associated with the business.
Responses
- application/json
Request Example for post/businesses/{business_id}
curl 'https://api.treasurefinancial.com/v1/businesses/{business_id}' \
--request POST \
--header 'Content-Type: application/json' \
--data '{
"legal_name": "Treasure Financial",
"doing_business_as": "Treasure",
"user_data": null
}'
{
"id": "string",
"created_at": "2022-01-01T00:00:00.000Z",
"updated_at": "2022-01-01T00:00:00.000Z",
"legal_name": "Treasure Financial",
"doing_business_as": "Treasure",
"status": "PENDING",
"sub_status": "string",
"user_data": {
"additionalProperty": "anything"
}
}